Quick Start

Make your first API call in 5 minutes.

1

Create an account

Sign up at app.prycescan.com. API access requires the Pro plan or above.

2

Generate an API key

Go to Settings > API Keys and click "Generate New Key". Copy the key immediately - it won't be shown again.

ps_k8f2m9x4j7h3n5p1...
3

Make your first request

curl

curl https://app.prycescan.com/api/v1/products \
  -H "Authorization: Bearer ps_your_api_key_here" \
  -H "Content-Type: application/json"

JavaScript (fetch)

const res = await fetch("https://app.prycescan.com/api/v1/products", {
  headers: {
    "Authorization": "Bearer ps_your_api_key_here",
    "Content-Type": "application/json",
  },
});
const data = await res.json();
console.log(data);

Python (requests)

import requests

resp = requests.get(
    "https://app.prycescan.com/api/v1/products",
    headers={"Authorization": "Bearer ps_your_api_key_here"}
)
print(resp.json())
4

Parse the response

{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "sku": "KSM156",
      "name": "KitchenAid Artisan KSM156 Stand Mixer",
      "gtin": "883049950709",
      "brand": "KitchenAid",
      "currentPrice": "899.00",
      "smartPrice": "849.00",
      "smartPriceStatus": "pending",
      "competitorCount": 8,
      "lastCheckedAt": "2026-03-28T06:00:00Z"
    }
  ],
  "meta": {
    "total": 1,
    "page": 1,
    "perPage": 50,
    "hasMore": false
  }
}

Next steps